package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.QueryModel;
import com.sa.ibiz.demo.demo.service.dto.QueryModelSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[QueryModel] 服务对象接口
 */
public interface QueryModelService extends IService<QueryModel>{

	boolean checkKey(QueryModel et);
	boolean create(QueryModel et);
	boolean getDraft(QueryModel et);
	boolean update(QueryModel et);
	boolean remove(QueryModel et);
		QueryModel get(QueryModel et);
    List<QueryModel> listDefault(QueryModelSearchFilter filter) ;
	Page<QueryModel> searchDefault(QueryModelSearchFilter filter);
    List<QueryModel> listCurDE(QueryModelSearchFilter filter) ;
	Page<QueryModel> searchCurDE(QueryModelSearchFilter filter);
	/**	 实体[QueryModel] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }